org.kie.internal.event.knowledgeagent

## Class AfterChangeSetProcessedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.kie.internal.event.knowledgeagent.ChangeSetProcessingEvent
    - - org.kie.internal.event.knowledgeagent.AfterChangeSetProcessedEvent

- All Implemented Interfaces:
    Serializable

      public class AfterChangeSetProcessedEvent
      extends ChangeSetProcessingEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AfterChangeSetProcessedEvent(ChangeSet changeSet, List<org.kie.api.io.Resource> addedResources, Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>> modifiedResourceMappings, Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>> removedResourceMappings)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.io.Resource>` | `getAddedResources()`
    `Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>>` | `getModifiedResourceMappings()`
    `Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>>` | `getRemovedResourceMappings()`
    `static long` | `getSerialVersionUID()`
    `String` | `toString()`

    - ### Methods inherited from class org.kie.internal.event.knowledgeagent.ChangeSetProcessingEvent

      `getChangeSet`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AfterChangeSetProcessedEvent

          public AfterChangeSetProcessedEvent(ChangeSet changeSet,
                                              List<org.kie.api.io.Resource> addedResources,
                                              Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>> modifiedResourceMappings,
                                              Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>> removedResourceMappings)

  - ### Method Detail

    - #### getAddedResources

          public List<org.kie.api.io.Resource> getAddedResources()

    - #### getModifiedResourceMappings

          public Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>> getModifiedResourceMappings()

    - #### getRemovedResourceMappings

          public Map<org.kie.api.io.Resource,Set<KnowledgeDefinition>> getRemovedResourceMappings()

    - #### getSerialVersionUID

          public static long getSerialVersionUID()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ChangeSetProcessingEvent`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.